Bug 49737 - IO Stress utility fail to run(Kernel: VM: Killing process)
IO Stress utility fail to run(Kernel: VM: Killing process)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 12:34 EDT by Bryan Leopard
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 17:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-07-23 12:34:48 EDT
IO stress utility failed with the messages attached below.
This problem occurs on various types of drives on various controllers. I 
encountered this problem during heavy IO activities on drives on cpqfc, IDE
(ATA-100), cpqarray, and cciss drivers.

System: DL320(single PIII 1Ghz, 128MB RAM, 256MB swap)
              ML530(Dual PIII 1Ghz, 128MB RAM, 256MB swap)
              DL380 G2(Single 1.33Ghz, 256RAM, 512MB swap)
filesystems: ext2, ext3
OS: fairfax Beta2
Controller: SA5300, Embedded IDE(ATA100), SA532, SA5i, SA4200
Steps to reproduce:
1. Install OS
2. Create partitions(I tried 2G to 14G) with ext2 or ext3
3.  mount partitions
4. Start IO stress utility(anything that creates heavy IO activities)

Error message from /var/log/messages:

Jul 18 14:58:39 localhost kernel: VM: killing process seq_io-linux
Jul 18 14:58:39 localhost last message repeated 2 times
Jul 18 14:59:12 localhost kernel: VM: killing process rand_io-linux
Jul 18 15:01:11 localhost kernel: JBD: out of memory for journal_head
Jul 18 15:01:14 localhost kernel: VM: killing process seq_io-linux
Jul 18 15:01:32 localhost kernel: VM: killing process rand_io-linux
Jul 18 15:02:54 localhost kernel: VM: killing process diff
Jul 18 15:02:54 localhost last message repeated 9 times
Comment 1 Arjan van de Ven 2001-07-23 12:37:49 EDT
we're aware of the "early kills" of the VM and doing our best to fix them as
soon as possible. Thanks for the report.
Comment 2 Glen Foster 2001-07-23 17:17:34 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 3 Arjan van de Ven 2001-08-02 15:48:43 EDT
Roswell beta has this fixed. However it's slow in other respects.
Closing this bug but be assured: VM is a very high attentionpoint for us.

Note You need to log in before you can comment on or make changes to this bug.